package taxes;

public abstract class Property
{
    /** area of property in sq. ft. */
    protected int size;
    
    /**
     * Constructor sets size of property.
     * @param size  The size of the property in sq. ft.
     */
    public Property( int size )
    {
        this.size = size;
    }
    
    /**
     * Retrieves size of property in sq. ft.
     * @return Size of property in sq. ft.
     */
    public int getSize()
    {
        return size;
    }
    
    /** 
     * Computes and returns annual taxes.
     * @return  Annual taxes.
     */
    public abstract double getTaxes();
}
